Search QueryLog

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/querylog
API call form
Examples
List of examples
  • Get the most recent query logs
  • Get failed queries of a dashboard
  • Get slow queries on specific datasets
  • Get the queries of a request
Description

Get the 50 most recent query logs within the retention period.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "0c3f5a2e-7b1d-4e8a-9f62-3d5b8c1a7e40",
      "organization_id": "4a2b6c1d-8e3f-4a5b-9c7d-2e1f0a3b5c6d",
      "started_at": "2026-10-12T09:41:27.000Z",
      "provider": "postgresql",
      "user_id": "fde42af0-57f8-40e3-880c-3464d9a525ce",
      "duration_ms": 412,
      "chart_id": "9b8c7d6e-5f4a-4b3c-8d2e-1f0a9b8c7d6e",
      "trace_id": "6f1d2c3b4a5e4f6a8b7c9d0e1f2a3b4c",
      "query_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
      "generated_query": "SELECT \"t1\".\"region\", SUM(\"t1\".\"amount\") FROM \"public\".\"orders\" AS \"t1\" GROUP BY \"t1\".\"region\"",
      "failure_reason": null,
      "success": true,
      "source_query_id": "c3d4e5f6-a7b8-4c9d-8e1f-2a3b4c5d6e7f",
      "query_source": null,
      "warp_usage": "none",
      "dashboard": {
        "id": "fb7bbb18-587f-494d-bd00-ff8b8f519941",
        "name": {
          "en": "Sales overview"
        },
        "thumbnails": [
          {
            "id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
            "url": "https://cdn.luzmo.com/thumbnails/fb7bbb18-587f-494d-bd00-ff8b8f519941_128px.png",
            "size": "128px"
          }
        ]
      },
      "datasets": [
        {
          "id": "24aa02fe-d54d-4217-bd9d-dcdba45c83b3",
          "name": {
            "en": "Orders"
          },
          "subtype": "postgresql"
        }
      ],
      "connection": {
        "id": "7e0899a5-acd5-4235-8017-ff7ae208c88a",
        "name": "Production database"
      }
    }
  ]
}